#pragma once


#include "ListOptionsCtrl.h"


class CAppDlg : public CDialog
{
public:
  CAppDlg(CWnd* pParent = NULL);

  enum { IDD = IDD_APP_DIALOG };
  CListOptionsCtrl m_ctrlListOptions;
  CString m_sCombo;
  CString m_sEdit;
  CString m_sSpinEdit;
  COLORREF m_Color;
  LOGFONT m_Font;
  CString m_sFontNameFace;
  BOOL m_bBooleanValue;
  SYSTEMTIME m_Date;
  SYSTEMTIME m_Time;
  DWORD m_dwIPAddress;

protected:
  virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

  HICON m_hIcon;
  int m_nComboItem;
  int m_nEditItem;
  int m_nSpinCtrlItem;
  int m_nBrowseForFileItem;
  int m_nBrowseForFolderItem;
  int m_nBrowseForColorItem;
  int m_nBrowseForFont;
  int m_nFontNameComboItem;
  int m_nBooleanComboItem;
  int m_nShoeItem;
  int m_nShoeItem2;
  int m_nDateItem;
  int m_nTimeItem;
  int m_nIPAddressItem;
  int m_nFontChangingEditItem;
  CImageList m_ImageList;
  int m_nComboItem2;

  virtual BOOL OnInitDialog();
  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  
  DECLARE_MESSAGE_MAP()
};
